<template>
	<view class="">
		<web-view :src="url"></web-view>
	</view>
</template>

<script>
	import {
		reactive,
		toRefs,
	} from "vue";
	import {
		Encrypt
	} from '../../utils/encrypt.js';
	export default {
		setup() {
			let data = reactive({
				host: "http://edu.oytour.com/#/contractConfirm?a=",
				host2: "http://edu.oytour.com/#/courseRefundH5?a=",
				url: "",
			})
			return {
				...toRefs(data),
			}
		},
		onLoad(options) {
			uni.setNavigationBarTitle({
				title: "合同详情",
			});
			if (options.Type == 1) {
				this.url = this.host + encodeURIComponent(Encrypt(options.Id))
			} else {
				this.url = this.host2 + encodeURIComponent(Encrypt(options.Id))
			}
		},
	}
</script>
